%define _applnkdir %_datadir/applnk

Summary:	X based image viewer for darned near all images
Summary(de):	X-basierender Bild-Viewer fr praktische smtliche Grafiken
Summary(es):	Visualizador de imgenes para X para cuasi todos los formatos de imgenes
Summary(fr):	Visualisateur sous X pour quasiment tous les types d'images
Summary(pl):	Przegldarka rnego rodzaju plikw graficznych pracujca w X Window
Summary(pt_BR):	Visualizador de imagens para X para quase todos os formatos de imagens
Summary(ru):	        X
Summary(tr):	X tabanl resim grntleyici
Summary(uk):	     ̦   X
Name:		xv
Version:	3.10a
%define     distsuffix plf
Release:	%mkrel 6
License:	Shareware
Group:		Graphics
Source0:	ftp://ftp.cis.upenn.edu/pub/xv/%{name}-%{version}.tar.gz
Source1:	ftp://swrinde.nde.swri.edu/pub/png/applications/%{name}-%{version}-png-1.2d.tar.gz
Source2:	%{name}man310a-html.tar.gz
Source3:	%{name}.desktop
Source5:	%{name}-non-english-Xman-pages.tar.bz2
Source6:	%{name}-16.png
Source7:	%{name}-32.png
Source8:	%{name}-48.png
Patch0:		%{name}-PLD.patch.bz2
Patch1:		%{name}-FLmask.v2.1.patch.bz2
Patch2:		%{name}-JPEG.patch.bz2
Patch3:		%{name}-TIFF.patch.bz2
Patch4:		%{name}-croppad.patch.bz2
Patch5:		%{name}-deepcolor.patch.bz2
Patch6:		%{name}-exceed_grab_patch.txt.bz2
Patch7:		%{name}-gifpatch.bz2
Patch8:		%{name}-grabpatch.bz2
Patch9:		%{name}-longname.patch.bz2
Patch10:	%{name}-mp-tiff-patch.bz2
Patch11:	%{name}-pdf.patch.bz2
Patch12:	%{name}-png-fix2.patch.bz2
Patch13:	%{name}-vispatch.bz2
Patch14:    %{name}-gspatch.bz2
Patch15:    %{name}-tiff1200.patch.bz2
Patch16:    %{name}-gssafer.patch.bz2
Patch17:    %{name}-3.10a-gcc4.patch
URL:		http://www.trilon.com/xv/xv.html
BuildRoot: %_tmppath/%name-%version-root
Requires: ghostscript

%description
This is the famous 'xv' by John Bradley. It is shareware, but we ship
it with the permission of the authors. It is a graphics viewer for
many file types, including gif, jpg, tiff, xwd, etc. It also has
manipulation features such as cropping, expanding, etc. Patched to
include flmask, a popular feature in Japan.

This package is in PLF because it is not free.

%description -l de
Dies ist das berhmte 'xv' von John Bradley, ein Shareware- Programm,
das wir mit Erlaubnis des Autors liefern. Es ist ein Grafik-Viewer fr
diverse Dateitypen, einschlielich gif, funktionen wie Trimmen,
Strecken u.. Mit flmask.

%description -l es
Este es el famoso 'xv' de John Bradley. Es shareware, pero nosotros lo
distribuimos con la permisin de los autores. Es un visor grfico para
varios tipos de archivos, incluyendo gif, jpg, tiff, xwd, etc. Tambin
posee caractersticas de manejo como corte, expansin, etc.

%description -l fr
Le clbre xv de John Bradley. C'est shareware, mais nous le
distribuons avec la permission de l'auteur. C'est un visualiseur
graphique pour de nombreux formats de fichier dont gif, jpg, tiff,
xwd, etc. Il offre aussi des fonctionnalits comme la capture,
l'extension, la retouche de palette, etc. Flmask.

Ce package est en plf parce qu'il n'est pas libre.

%description -l pl
Synne 'xv' Johna Bradley'a. Jest to program shareware, ale
udostpniamy go za zgod autora. Jest to przegldarka plikw
graficznych w rnych formatach, takich jak: gif, jpg, tiff, xwd i
innych. Daje take moliwo prostego mainupulowania obrazkiem.
Zawiera obsug flmask.

%description -l pt_BR
Este  o famoso 'xv' de John Bradley. Ele  shareware, mas ns o
distribuimos com a permisso dos autores.  um visualizador grfico
para vrios tipos de arquivos, incluindo gif, jpg, tiff, xwd, etc.
Tambm possui caractersticas de manipulao como corte, expanso,
etc.

%description -l ru
Xv -         X
Window System. Xv   GIF, JPEG, TIFF, PBM, PPM, PDF, X11
bitmap, Utah Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX,
IRIS RGB, XPM, Targa, XWD, PostScript(TM)  PM. Xv   
   - cropping, expanding,   
..

%description -l tr
xv bata PNG, GIF, JPG, BMP, XBM, XPM olmak zere birok resim
dosyasn grntleyebilir, deiik formatlarda kaydedebilir ve
zerinde boyutlandrma, renk deitirme gibi baz temel ilemleri
yapabilir. ok detayl ilemler yapamamasna ramen temel resim
ilemlerinde ncellikle kullanlabilecek, kullanl arayzne sahip
bir programdr. Flmask.

%description -l uk
Xv -         X Window
System. Xv ͦ  GIF, JPEG, TIFF, PBM, PPM, PDF, X11 bitmap,
Utah Raster Toolkit RLE, PDS/VICAR, Sun Rasterfile, BMP, PCX, IRIS
RGB, XPM, Targa, XWD, PostScript(TM)  PM. Xv  ͦ 
   - cropping, expanding, Φ   ..

%prep
%setup -q
tar xvfz %{SOURCE1}
patch -p1 --quiet < xvpng.diff
%patch0 -p1
%patch1 -p1
%patch2 -p0
%patch3 -p0
%patch4 -p0
%patch5 -p0
%patch6 -p0
%patch7 -p0
%patch8 -p0
%patch9 -p1
%patch10 -p0
%patch11 -p0
%patch12 -p0
%patch13 -p0
%patch14 -p0
%patch15 -p0
%patch16 -p0
%patch17 -p0 -b .gcc4
tar zxf %{SOURCE2}

perl -pi -e 's:-L/usr/X11R6/lib:-L%_prefix/X11R6/%_lib:' Makefile

%build
%{make} CCOPTS="%{optflags} `pkg-config --cflags libpng12 2>/dev/null`" BINDIR=%_bindir LIBDIR=%_libdir MANDIR=%_mandir/man1

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_applnkdir}/Graphics \
	$RPM_BUILD_ROOT{%{_bindir},%{_libdir},%{_mandir}/man1}

%makeinstall BINDIR=%buildroot%_bindir LIBDIR=%buildroot%_libdir MANDIR=%buildroot%_mandir/man1

install %{SOURCE3} $RPM_BUILD_ROOT%{_applnkdir}/Graphics
mv -f xvman310a manual

bzip2 -dc %{SOURCE5} | tar xf - -C $RPM_BUILD_ROOT%{_mandir}

rm -f %buildroot%_mandir/README*
find $RPM_BUILD_ROOT%{_mandir} -type d -exec chmod 755 {} \;
find $RPM_BUILD_ROOT%{_mandir} -type f -exec chmod 644 {} \;

mkdir -p %buildroot%_menudir
cat > %buildroot%_menudir/%name <<EOF
?package(xv):\
    needs="X11"\
    section="Multimedia/Graphics"\
    title="Xv"\
    longtitle="Images viewer/editor"\
    command="%{_bindir}/%{name}"\
    icon="%{name}.png"\
    xdg="True"
EOF

mkdir -p $RPM_BUILD_ROOT%{_datadir}/applications
cat > $RPM_BUILD_ROOT%{_datadir}/applications/mandriva-%{name}.desktop <<EOF
[Desktop Entry]
Encoding=UTF-8
Name=Xv
Comment=Images viewer/editor
Exec=%{_bindir}/%{name} 
Icon=%{name}
Terminal=false
Type=Application
StartupNotify=true
Categories=X-MandrivaLinux-Multimedia-Graphics
EOF

mkdir -p %buildroot{%_liconsdir,%_iconsdir,%_miconsdir}

install -m 644 %{SOURCE6} %buildroot%_miconsdir/%name.png
install -m 644 %{SOURCE7} %buildroot%_iconsdir/%name.png
install -m 644 %{SOURCE8} %buildroot%_liconsdir/%name.png

%clean
rm -rf $RPM_BUILD_ROOT

%post
%{update_menus}

%postun
%{clean_menus}

%files
%defattr(-,root,root)
%doc README docs/xvdocs.ps BUGS CHANGELOG IDEAS CPMASK 00_README manual
%attr(755,root,root) %{_bindir}/*
%{_applnkdir}/Graphics/xv.desktop
%{_libdir}/xvdocs.ps
%{_mandir}/man1/*
%{_menudir}/%name
%{_datadir}/applications/mandriva-%{name}.desktop
%{_miconsdir}/%name.png
%{_iconsdir}/%name.png
%{_liconsdir}/%name.png
%lang(fi) %{_mandir}/fi/man1/*
%lang(pl) %{_mandir}/pl/man1/*


%changelog
* Tue Apr 24 2007 Olivier Thauvin <nanardon@zarb.org> 3.10a-7plf
- xdg menu

* Sun Jan 22 2006 Olivier Thauvin <nanardon@zarb.org> 3.10a-6plf
- rebuild && %%mkrel
- gcc4 fix

* Thu Oct 21 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-5plf
- requires: s/gv/ghostscript/ (Thx P. Weill)

* Tue Oct 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-4plf
- Requires gv (oops)

* Tue Oct 19 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-3plf
- patch14: ps and ps.bz2 now supported
- patch15: tiff 1200 dpi patch
- patch16: gs run with -safer (security fix)

* Thu Sep 30 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-2plf
- remove pixmaps to avoid conflict with WindowsMaker

* Tue Aug 17 2004 Olivier Thauvin <thauvin@aerov.jussieu.fr> 3.10a-1plf
- 1st plf package (from pld, made itself from mdk :)
